import { Timer } from './timer.js';
/**
 * Measures the elapsed execution time of a function call or promise once it is awaited.
 * @param fn - Function or promise.
 * @returns A timer object and the result.
 */
export declare function elapsed<T>(fn: Promise<T> | (() => T | Promise<T>)): Promise<[Timer, T]>;
/**
 * Measures the elapsed execution time of a synchronous function call once it is awaited.
 * @param fn - Function.
 * @returns A timer object and the result.
 */
export declare function elapsedSync<T>(fn: () => T): [Timer, T];
//# sourceMappingURL=elapsed.d.ts.map